emacs-orgmode
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

URL woes that never end


From: Rudolf Adamkovič
Subject: URL woes that never end
Date: Wed, 16 Jun 2021 00:52:04 +0200
User-agent: mu4e 1.4.15; emacs 28.0.50

Greetings!

I lamented a while ago about URL handling in Org. To provide a concrete 
example, below is a shell script that Org does not export correctly to HTML. 
More specifically, Org considers the script to be a URL. Further, and 
amazingly, even if I change “see <URL>.” to “see <URL> to learn more”, Org 
*still* does not parse the URL correctly, even with a valid URL per RFC *and* 
surrounding angle brackets (<>) *and* spaces on both sides.

#+begin_src shell :tangle fetchmail-retry.sh :shebang #!/usr/bin/env sh
# fetchmail-retry.sh -- fetchmail with retry
#
# Author: Rudolf Adamkovič <salutis@me.com>
# Version: 1.0
#
# This file is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# For more information, see <http://www.gnu.org/licenses/>.
#

RETRY=0
RETRY_MAX=10

RETURN_OK=0
RETURN_NO_MAIL=1

while [ $RETRY -le $RETRY_MAX ]
do
    fetchmail "$@"
    RETURN=$?

    [ $RETURN -eq $RETURN_OK ] && exit $RETURN
    [ $RETURN -eq $RETURN_NO_MAIL ] && exit $RETURN

    RETRY=$((RETRY+1))
    echo Retry \#$RETRY:
done

echo Failed after $RETRY_MAX retries. >&2
exit $RETURN
#+end_src

--
Logic is a science of the necessary laws of thought, without which no 
employment of the understanding and the reason takes place. -- Immanuel Kant, 
1785

Rudolf Adamkovič <salutis@me.com>
Studenohorská 25
84103 Bratislava
Slovakia

[he/him]



reply via email to

[Prev in Thread] Current Thread [Next in Thread]